gr::dab::puncture_bb_impl Class Reference

puncturing of a stream sequence More...

`#include <puncture_bb_impl.h>`

Inheritance diagram for gr::dab::puncture_bb_impl:
[legend]

## Public Member Functions

| puncture_bb_impl (const std::vector< unsigned char > &puncturing_vector)
| ~puncture_bb_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::puncture_bb
typedef std::shared_ptr< puncture_bb > | sptr
Static Public Member Functions inherited from gr::dab::puncture_bb
static sptr | make (const std::vector< unsigned char > &puncturing_vector)
| Return a shared_ptr to a new instance of dab::puncture_bb.

## Detailed Description

puncturing of a stream sequence

puncturing of a stream sequence according to the puncturing_vector (writing a stream element at a '1' and skip element at a '0')

Parameters

  puncturing_vector | vector with puncturing sequence, length of puncturing_vector is length of a input stream sequence

## Constructor & Destructor Documentation

## puncture_bb_impl()

gr::dab::puncture_bb_impl::puncture_bb_impl | ( | const std::vector< unsigned char > & | puncturing_vector | ) |

## ~puncture_bb_impl()

gr::dab::puncture_bb_impl::~puncture_bb_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::puncture_bb_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::puncture_bb_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- puncture_bb_impl.h